#ifndef _G_PLAYER_MANAGER_
#define _G_PLAYER_MANAGER_

#include "GPlayer.h"

class GPlayerManager{
private:
	void standToWalk(GPlayer* player, HPLVector* velocityAngle);
	void walkToStand(GPlayer* player, HPLVector* velocityAngle);
	void jump(GPlayer* player, HPLVector* velocityAngle);
	void crouch(GPlayer* player, HPLVector* velocityAngle);

public:
	GPlayerManager();
	~GPlayerManager();
public:
	void move(GPlayer* player, HPLVector* velocityAngle);
	void collisionCheck(GPlayer* player, HPLVector* center, HPLVector* velocityAngle);

	void attack(GPlayer* player, HPLVector* center, HPLVector* velocityAngle);
	//void keyMove(GPlayer* player, HPLVector* center, HPLVector* velocityAngle);
	//void checkCollision(GPlayer* player, HPLVector* center, HPLVector* velocityAngle);

	/**
		‘Š–_AI
	*/
	void aiboMove(GPlayer* player, GPlayer* aibo);
};

#endif
